Bug 436518 - A.ppt which crashes OOo on save as
Summary: A.ppt which crashes OOo on save as
Status: CLOSED DUPLICATE of bug 446005
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-07 17:50 UTC by Tom London
Modified: 2008-06-26 02:26 UTC (History)
2 users (show)

Fixed In Version: 2.4.0-12.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 08:38:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This slide crashes impress on "save as" (1.45 MB, application/vnd.ms-powerpoint)
2008-03-07 20:57 UTC, Tom London
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 66067 None None None Never
OpenOffice.org 86866 None None None Never

Description Tom London 2008-03-07 17:50:46 UTC
Description of problem:
Got this in a pop up window reporting an oo crash. Had started impress a few
minutes prior, opened a ppt file, looked at it for a few minutes, and then was
in firefox when this occured.  Not sure what else to try to collect.

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//intel_master_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-0.13-i386
(IV)   kernel is: Linux 2.6.25-0.95.rc4.fc9 #1 SMP Thu Mar 6 01:17:49 EST 2008
i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-9.1.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 8.90 (Rawhide)
(VV)   LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      52752892  45233268   4796668  91% /
/dev/mapper/VolGroup00-LogVol00
                      52752892  45233268   4796668  91% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 22
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x8baeb24: 0x1c034c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x20b24
0x8baf45f: 0x1c034c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x2145f
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x52c3d4d: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x14d4d
0x52c03a9: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x113a9
(OleEmbeddedObject::TryToRetrieveCachedVisualRepresentation_Impl(com::sun::star::uno::Reference<com::sun::star::io::XStream>
const&, unsigned char) + 0x1b5)
0x52c226b: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x1326b
(OleEmbeddedObject::StoreToLocation_Impl(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
unsigned char) + 0x521)
0x52c24c9: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x134c9
(OleEmbeddedObject::storeAsEntry(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x7f)
0x1911311: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11c311
(SfxObjectShell::SaveAsChildren(SfxMedium&) + 0x4a9)
0x19115df: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11c5df
(SfxObjectShell::SaveAs(SfxMedium&) + 0x1d)
0x2e56af: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x15c6af
(sd::DrawDocShell::SaveAs(SfxMedium&) + 0x65)
0x1911ccb: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11cccb
(SfxObjectShell::SaveAsOwnFormat(SfxMedium&) + 0x75)
0x2e4deb: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x15bdeb
(sd::DrawDocShell::SaveAsOwnFormat(SfxMedium&) + 0x24b)
0x191307c: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11e07c
0x1914827: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11f827
0x1914eb1: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11feb1
0x191a975: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x125975
0x1948015: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x153015
0x194e1a9: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1591a9
(SfxBaseModel::storeToURL(rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xaf)
0x1caae8d: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12ce8d
0x1cab503: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12d503
0x1cab9c0: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12d9c0
0x1cabb05: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12db05
0x8691ea4: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91ea4
(Timer::Timeout() + 0x18)
0x86923a7: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x923a7
(Timer::ImplTimerCallbackProc() + 0x7b)
0x67279ee: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x429ee (X11SalData::Timeout() const + 0x2a)
0x214cbe9: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11be9
0x4a0d7e6: 0xde108: /lib/libglib-2.0.so.0 + 0x377e6
0x4a0d0b8: 0xde108: /lib/libglib-2.0.so.0 + 0x370b8 (g_main_context_dispatch +
0x1e8)
0x4a10763: 0xde108: /lib/libglib-2.0.so.0 + 0x3a763
0x4a10921: 0xde108: /lib/libglib-2.0.so.0 + 0x3a921 (g_main_context_iteration +
0x71)
0x214c827: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11827
0x67308e5: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4b8e5 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x868e2b9: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e2b9
(Application::Yield(bool) + 0x57)
0x868e307: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e307
(Application::Execute() + 0x2b)
0x13e914: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x2d914
(desktop::Desktop::Main() + 0x1a02)
0x86918c2: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x918c2
0x8691a5e: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91a5e
(SVMain() + 0x2c)
0x1330a1: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x220a1 (main
+ 0xe5)
0x7ec606: 0x16bd7c: /lib/libc.so.6 + 0x16606 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/simpress.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00162000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00562000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005f8000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00615000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00632000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0063c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0067e000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x006e9000)
	libdl.so.2 => /lib/libdl.so.2 (0x006ed000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x006f2000)
	librt.so.1 => /lib/librt.so.1 (0x006f7000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00701000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0071f000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00760000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007a2000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x00881000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0096b000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00ce6000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00dc5000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00e21000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00ea4000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x00f46000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x03d27000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x041e9000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00900000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x03556000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x064b0000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x04e5f000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x0092e000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x03f33000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x0103d000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x01106000)
	libm.so.6 => /lib/libm.so.6 (0x03f60000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x03f0f000)
	libc.so.6 => /lib/libc.so.6 (0x048f1000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x0093e000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00941000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x01bf6000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x01d0e000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x017dc000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00946000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x06ea9000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x06e6f000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x06ec6000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x07266000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x07dd7000)
	libz.so.1 => /lib/libz.so.1 (0x06fe8000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x02040000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x01f46000)
	/lib/ld-linux.so.2 (0x0094a000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x011f9000)
	libcap.so.2 => /lib/libcap.so.2 (0x01e56000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x01e88000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x07d5c000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x07ce4000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x07ec4000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x0152c000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x01213000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x07cea000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x0124a000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x07ad7000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x07b35000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x07ad3000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x07b07000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x01265000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x061ec000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb7431000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x070e7000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x0603f000)
...end sample ldd details ...

Version-Release number of selected component (if applicable):
openoffice.org-impress-2.4.0-9.1.fc9.i386

How reproducible:
Seemed random.  Will try to reproduce

Steps to Reproduce:
1. start impress, import ppt file
2. look at a few slides
3. obscure window (say by browsing web with firefox)
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom London 2008-03-07 18:00:39 UTC
Hmmm... happened again under same circumstances.

Will try to reproduce on a different ppt file.

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//intel_master_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-0.13-i386
(IV)   kernel is: Linux 2.6.25-0.95.rc4.fc9 #1 SMP Thu Mar 6 01:17:49 EST 2008
i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-9.1.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 8.90 (Rawhide)
(VV)   LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      52752892  45261168   4768768  91% /
/dev/mapper/VolGroup00-LogVol00
                      52752892  45261168   4768768  91% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 22
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x152ab24: 0x1c034c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x20b24
0x152b45f: 0x1c034c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x2145f
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x5e5dd4d: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x14d4d
0x5e5a3a9: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x113a9
(OleEmbeddedObject::TryToRetrieveCachedVisualRepresentation_Impl(com::sun::star::uno::Reference<com::sun::star::io::XStream>
const&, unsigned char) + 0x1b5)
0x5e5c26b: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x1326b
(OleEmbeddedObject::StoreToLocation_Impl(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
unsigned char) + 0x521)
0x5e5c4c9: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x134c9
(OleEmbeddedObject::storeAsEntry(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x7f)
0x19b5311: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11c311
(SfxObjectShell::SaveAsChildren(SfxMedium&) + 0x4a9)
0x19b55df: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11c5df
(SfxObjectShell::SaveAs(SfxMedium&) + 0x1d)
0x2e56af: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x15c6af
(sd::DrawDocShell::SaveAs(SfxMedium&) + 0x65)
0x19b5ccb: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11cccb
(SfxObjectShell::SaveAsOwnFormat(SfxMedium&) + 0x75)
0x2e4deb: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x15bdeb
(sd::DrawDocShell::SaveAsOwnFormat(SfxMedium&) + 0x24b)
0x19b707c: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11e07c
0x19b8827: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11f827
0x19b8eb1: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11feb1
0x19be975: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x125975
0x19ec015: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x153015
0x19f21a9: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1591a9
(SfxBaseModel::storeToURL(rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xaf)
0x2d62e8d: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12ce8d
0x2d63503: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12d503
0x2d639c0: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12d9c0
0x2d63b05: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0x12db05
0x4473ea4: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91ea4
(Timer::Timeout() + 0x18)
0x44743a7: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x923a7
(Timer::ImplTimerCallbackProc() + 0x7b)
0x2ec69ee: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x429ee (X11SalData::Timeout() const + 0x2a)
0x24c4be9: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11be9
0x48c67e6: 0xde108: /lib/libglib-2.0.so.0 + 0x377e6
0x48c60b8: 0xde108: /lib/libglib-2.0.so.0 + 0x370b8 (g_main_context_dispatch +
0x1e8)
0x48c9763: 0xde108: /lib/libglib-2.0.so.0 + 0x3a763
0x48c9921: 0xde108: /lib/libglib-2.0.so.0 + 0x3a921 (g_main_context_iteration +
0x71)
0x24c4827: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11827
0x2ecf8e5: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4b8e5 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x44702b9: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e2b9
(Application::Yield(bool) + 0x57)
0x4470307: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e307
(Application::Execute() + 0x2b)
0x13e914: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x2d914
(desktop::Desktop::Main() + 0x1a02)
0x44738c2: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x918c2
0x4473a5e: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91a5e
(SVMain() + 0x2c)
0x1330a1: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x220a1 (main
+ 0xe5)
0x7ec606: 0x16bd7c: /lib/libc.so.6 + 0x16606 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/simpress.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00162000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00562000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005f8000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00615000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00632000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0063c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0067e000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x006e9000)
	libdl.so.2 => /lib/libdl.so.2 (0x006ed000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x006f2000)
	librt.so.1 => /lib/librt.so.1 (0x006f7000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00701000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0071f000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00760000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007a2000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x00881000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0096b000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00ce6000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00dc5000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00e21000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00ea4000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x00f46000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x06879000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x05bed000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00900000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x054fd000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x06f1d000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x062cd000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x0092e000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0545d000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x05f4d000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x034a0000)
	libm.so.6 => /lib/libm.so.6 (0x01cf4000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x019ca000)
	libc.so.6 => /lib/libc.so.6 (0x04346000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x0093e000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00941000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x01cb8000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x01099000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x07d26000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00946000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x0103d000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x07cfa000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x07d3c000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x051cf000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x0568b000)
	libz.so.1 => /lib/libz.so.1 (0x050c7000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x05253000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x05127000)
	/lib/ld-linux.so.2 (0x0094a000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x01046000)
	libcap.so.2 => /lib/libcap.so.2 (0x05007000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x01346000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x01522000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x012f2000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x01bb2000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x010c8000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x0184e000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x05a52000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x01060000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x05a10000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x05e1a000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x059e4000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x0107b000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x03e76000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x0406e000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb747d000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x0134f000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x04c13000)
...end sample ldd details ...


Comment 2 Tom London 2008-03-07 18:08:11 UTC
Yeah, appears I can reproduce this with this file.

Appears to happen about 5 minutes after starting up.  Could this be related to
"AutoSave"?

Comment 3 Tom London 2008-03-07 18:11:55 UTC
OK. If I open this ppt file up and immediately try to "save as" into a new odp,
I seem to get a similar crash:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//intel_master_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-0.13-i386
(IV)   kernel is: Linux 2.6.25-0.95.rc4.fc9 #1 SMP Thu Mar 6 01:17:49 EST 2008
i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-9.1.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 8.90 (Rawhide)
(VV)   LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      52752892  45262304   4767632  91% /
/dev/mapper/VolGroup00-LogVol00
                      52752892  45262304   4767632  91% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 22
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x6443b24: 0x1c034c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x20b24
0x644445f: 0x1c034c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x2145f
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x2f4fd4d: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x14d4d
0x2f4c3a9: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x113a9
(OleEmbeddedObject::TryToRetrieveCachedVisualRepresentation_Impl(com::sun::star::uno::Reference<com::sun::star::io::XStream>
const&, unsigned char) + 0x1b5)
0x2f4e26b: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x1326b
(OleEmbeddedObject::StoreToLocation_Impl(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
unsigned char) + 0x521)
0x2f4e4c9: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x134c9
(OleEmbeddedObject::storeAsEntry(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x7f)
0x9304311: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11c311
(SfxObjectShell::SaveAsChildren(SfxMedium&) + 0x4a9)
0x93045df: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11c5df
(SfxObjectShell::SaveAs(SfxMedium&) + 0x1d)
0x2e56af: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x15c6af
(sd::DrawDocShell::SaveAs(SfxMedium&) + 0x65)
0x9304ccb: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11cccb
(SfxObjectShell::SaveAsOwnFormat(SfxMedium&) + 0x75)
0x2e4deb: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x15bdeb
(sd::DrawDocShell::SaveAsOwnFormat(SfxMedium&) + 0x24b)
0x930607c: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11e07c
0x9307827: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11f827
0x9307eb1: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11feb1
0x930d975: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x125975
0x933b015: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x153015
0x93412c9: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1592c9
(SfxBaseModel::storeAsURL(rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xbf)
0x934a9b4: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1629b4
0x930ed90: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x126d90
0x938953e: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1a153e
0x9381f5e: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x199f5e
0x939fa5c: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b7a5c
0x939ff16: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b7f16
0x1d70811: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0xab811
0x1d708b5: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0xab8b5
0x3ee1b1f: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0xdfb1f
0x3fb59c0: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1b39c0
(Menu::Select() + 0x46)
0x3fae57c: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1ac57c
0x4002c04: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x200c04
0x25333b6: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x453b6 (SalDisplay::DispatchInternalEvent() + 0x96)
0x24a4a52: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11a52
0x2fcb1c1: 0xde108: /lib/libglib-2.0.so.0 + 0x351c1
0x2fcd0b8: 0xde108: /lib/libglib-2.0.so.0 + 0x370b8 (g_main_context_dispatch +
0x1e8)
0x2fd0763: 0xde108: /lib/libglib-2.0.so.0 + 0x3a763
0x2fd0921: 0xde108: /lib/libglib-2.0.so.0 + 0x3a921 (g_main_context_iteration +
0x71)
0x24a4827: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11827
0x25398e5: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4b8e5 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x3e902b9: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e2b9
(Application::Yield(bool) + 0x57)
0x3e90307: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e307
(Application::Execute() + 0x2b)
0x13e914: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x2d914
(desktop::Desktop::Main() + 0x1a02)
0x3e938c2: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x918c2
0x3e93a5e: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91a5e
(SVMain() + 0x2c)
0x1330a1: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x220a1 (main
+ 0xe5)
0x7ec606: 0x16bd7c: /lib/libc.so.6 + 0x16606 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/simpress.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00162000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00562000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005f8000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00615000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00632000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0063c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0067e000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x006e9000)
	libdl.so.2 => /lib/libdl.so.2 (0x006ed000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x006f2000)
	librt.so.1 => /lib/librt.so.1 (0x006f7000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00701000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0071f000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00760000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007a2000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x00881000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0096b000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00ce6000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00dc5000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00e21000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00ea4000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0x00f46000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x030b9000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x031df000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00900000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x03ed0000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x04214000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x0408a000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x0092e000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0103d000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x01057000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x01120000)
	libm.so.6 => /lib/libm.so.6 (0x01213000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x07fc1000)
	libc.so.6 => /lib/libc.so.6 (0x02a15000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x0093e000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00941000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x0123c000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x01263000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x01969000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00946000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x01292000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x01937000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x01982000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x01ca2000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x0267f000)
	libz.so.1 => /lib/libz.so.1 (0x0194b000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x01c21000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x019fb000)
	/lib/ld-linux.so.2 (0x0094a000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x019cf000)
	libcap.so.2 => /lib/libcap.so.2 (0x017eb000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x03e13000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x03e68000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x03e04000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0x03f94000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x043ea000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x03ef9000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x0129b000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x050f2000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x04f54000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x052a2000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x04f30000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x012a2000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x04753000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x04897000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb758e000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x0616b000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x0334b000)
...end sample ldd details ...


Comment 4 Tom London 2008-03-07 18:16:49 UTC
I got another crash trying to delete the last 16 slides (of 21):

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//intel_master_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-0.13-i386
(IV)   kernel is: Linux 2.6.25-0.95.rc4.fc9 #1 SMP Thu Mar 6 01:17:49 EST 2008
i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-9.1.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 8.90 (Rawhide)
(VV)   LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      52752892  45258080   4771856  91% /
/dev/mapper/VolGroup00-LogVol00
                      52752892  45258080   4771856  91% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 22
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x6251b24: 0x1c034c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x20b24
0x625245f: 0x1c034c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x2145f
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x38abd4d: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x14d4d
0x38a83a9: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x113a9
(OleEmbeddedObject::TryToRetrieveCachedVisualRepresentation_Impl(com::sun::star::uno::Reference<com::sun::star::io::XStream>
const&, unsigned char) + 0x1b5)
0x38aa26b: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x1326b
(OleEmbeddedObject::StoreToLocation_Impl(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
unsigned char) + 0x521)
0x38aa4c9: 0x2a38c: /usr/lib/openoffice.org/program/libemboleobj.so + 0x134c9
(OleEmbeddedObject::storeAsEntry(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x7f)
0x4fdd3d9: 0xf3fbc: /usr/lib/openoffice.org/program/libcomphelp4gcc3.so +
0x453d9
(comphelper::EmbeddedObjectContainer::StoreEmbeddedObject(com::sun::star::uno::Reference<com::sun::star::embed::XEmbeddedObject>
const&, rtl::OUString&, unsigned char) + 0xb7)
0x4fdd47e: 0xf3fbc: /usr/lib/openoffice.org/program/libcomphelp4gcc3.so +
0x4547e
(comphelper::EmbeddedObjectContainer::InsertEmbeddedObject(com::sun::star::uno::Reference<com::sun::star::embed::XEmbeddedObject>
const&, rtl::OUString&) + 0x26)
0x4fdef6a: 0xf3fbc: /usr/lib/openoffice.org/program/libcomphelp4gcc3.so +
0x46f6a
(comphelper::EmbeddedObjectContainer::RemoveEmbeddedObject(com::sun::star::uno::Reference<com::sun::star::embed::XEmbeddedObject>
const&, unsigned char) + 0x31a)
0xbaf29b: 0xb7c490: /usr/lib/openoffice.org/program/libsvx680li.so + 0x24429b
0xb8fa32: 0xb7c490: /usr/lib/openoffice.org/program/libsvx680li.so + 0x224a32
(SdrPage::SetInserted(int) + 0xa0)
0xc5d23f: 0xb7c490: /usr/lib/openoffice.org/program/libsvx680li.so + 0x2f223f
(SdrModel::RemovePage(unsigned short) + 0x45)
0xc9503a: 0xb7c490: /usr/lib/openoffice.org/program/libsvx680li.so + 0x32a03a
(FmFormModel::RemovePage(unsigned short) + 0x22)
0x31118b: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x18818b
0x37c31c: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x1f331c
0x470d4c: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x2e7d4c
0x471594: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x2e8594
0x47c785: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x2f3785
0x471ac2: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x2e8ac2
0x42d91c: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x2a491c
0x42ccab: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x2a3cab
0x8a0153e: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1a153e
0x89f9f5e: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x199f5e
0x8a17a5c: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b7a5c
0x8a17f16: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b7f16
0x15db066: 0x3b94a0: /usr/lib/openoffice.org/program/libsvt680li.so + 0xd1066
0x580684c: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x25184c
0x57b5c04: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x200c04
0x6ce43b6: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x453b6 (SalDisplay::DispatchInternalEvent() + 0x96)
0x4bc1a52: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11a52
0x252b1c1: 0xde108: /lib/libglib-2.0.so.0 + 0x351c1
0x252d0b8: 0xde108: /lib/libglib-2.0.so.0 + 0x370b8 (g_main_context_dispatch +
0x1e8)
0x2530763: 0xde108: /lib/libglib-2.0.so.0 + 0x3a763
0x2530921: 0xde108: /lib/libglib-2.0.so.0 + 0x3a921 (g_main_context_iteration +
0x71)
0x4bc1827: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11827
0x6cea8e5: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4b8e5 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x56432b9: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e2b9
(Application::Yield(bool) + 0x57)
0x5643307: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e307
(Application::Execute() + 0x2b)
0x13e914: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x2d914
(desktop::Desktop::Main() + 0x1a02)
0x56468c2: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x918c2
0x5646a5e: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91a5e
(SVMain() + 0x2c)
0x1330a1: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x220a1 (main
+ 0xe5)
0x7ec606: 0x16bd7c: /lib/libc.so.6 + 0x16606 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/simpress.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00162000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00562000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005f8000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00615000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00632000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0063c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0067e000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x006e9000)
	libdl.so.2 => /lib/libdl.so.2 (0x006ed000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x006f2000)
	librt.so.1 => /lib/librt.so.1 (0x006f7000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00701000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0071f000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00760000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007a2000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x00881000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0096b000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00ce6000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00dc5000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00e21000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0xb7fb3000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0xb7ebb000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0xb7e52000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0xb7dbf000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00900000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0xb7d9b000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0xb7bd4000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb7ad3000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x0092e000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb7ab9000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0xb79f0000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb78fd000)
	libm.so.6 => /lib/libm.so.6 (0xb78d3000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb78c5000)
	libc.so.6 => /lib/libc.so.6 (0xb7755000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x0093e000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00941000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb772e000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb76fe000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb76f5000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00946000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0xb76ec000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00ea4000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb76e1000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb76b7000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7628000)
	libz.so.1 => /lib/libz.so.1 (0xb7614000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb75df000)
	libselinux.so.1 => /lib/libselinux.so.1 (0xb75c2000)
	/lib/ld-linux.so.2 (0x0094a000)
	libnsl.so.1 => /lib/libnsl.so.1 (0xb75a8000)
	libcap.so.2 => /lib/libcap.so.2 (0xb75a4000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0xb759b000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0xb7581000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0xb757a000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0xb7524000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0xb73f0000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0xb73b9000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0xb73b2000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0xb7396000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0xb7392000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb735f000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb735d000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb7340000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0xb733d000)
	libexpat.so.1 => /lib/libexpat.so.1 (0xb7316000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb683f000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb66f0000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb66ea000)
...end sample ldd details ...


Comment 5 Caolan McNamara 2008-03-07 19:48:46 UTC
OleEmbeddedObject::TryToRetrieveCachedVisualRepresentation_Impl X 4, so its just
the same crash again and again, possibly with a slightly corrupt document format. 

Can you attach the reproducing document here ?

Comment 6 Tom London 2008-03-07 20:44:01 UTC
I'm trying to get this down to a sanitized, single slide file.

Identified the offending slide, but having problems "saving it": crashes each
time I try to save.

Still working on it.....

Comment 7 Tom London 2008-03-07 20:57:40 UTC
Created attachment 297248 [details]
This slide crashes impress on "save as"

This file with a single slide crashes reliably on "save as"

Comment 8 Caolan McNamara 2008-03-09 15:01:00 UTC
excellent, can reproduce

Comment 9 Caolan McNamara 2008-03-10 09:43:16 UTC
I think I have a fix, which will be in 2.4.0-10.1

Comment 10 Tom London 2008-03-11 17:23:42 UTC
This is still crashing for me with the same file
(openoffice.org-impress-2.4.0-10.1.fc9.i386):

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//intel_master_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-2-i386
(IV)   kernel is: Linux 2.6.25-0.105.rc5.fc9 #1 SMP Mon Mar 10 22:03:22 EDT 2008
i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-10.1.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 8.90 (Rawhide)
(VV)   LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      52752892  44641856   5388080  90% /
/dev/mapper/VolGroup00-LogVol00
                      52752892  44641856   5388080  90% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 22
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x31ebb24: 0x1c0354: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x20b24
0x31ec45f: 0x1c0354: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x2145f
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x31fb3d3: 0x1c0354: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x303d3
(rtl_uString_newFromAscii + 0x20)
0x3722eb2: 0x2a3cc: /usr/lib/openoffice.org/program/libemboleobj.so + 0xeeb2
0x37253ac: 0x2a3cc: /usr/lib/openoffice.org/program/libemboleobj.so + 0x113ac
(OleEmbeddedObject::TryToRetrieveCachedVisualRepresentation_Impl(com::sun::star::uno::Reference<com::sun::star::io::XStream>
const&, unsigned char) + 0x1b8)
0x37272bb: 0x2a3cc: /usr/lib/openoffice.org/program/libemboleobj.so + 0x132bb
(OleEmbeddedObject::StoreToLocation_Impl(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
unsigned char) + 0x521)
0x37275e7: 0x2a3cc: /usr/lib/openoffice.org/program/libemboleobj.so + 0x135e7
(OleEmbeddedObject::storeToEntry(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&, rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x7f)
0x10b41f2: 0xb7c490: /usr/lib/openoffice.org/program/libsvx680li.so + 0x7491f2
(SvxMSExportOLEObjects::ExportOLEObject(svt::EmbeddedObjectRef&, SotStorage&) +
0xcca)
0x10b4447: 0xb7c490: /usr/lib/openoffice.org/program/libsvx680li.so + 0x749447
(SvxMSExportOLEObjects::ExportOLEObject(com::sun::star::uno::Reference<com::sun::star::embed::XEmbeddedObject>
const&, SotStorage&) + 0x33)
0x40e14b1: 0x56020: /usr/lib/openoffice.org/program/libemp680li.so + 0x84b1
0x40e8894: 0x56020: /usr/lib/openoffice.org/program/libemp680li.so + 0xf894
0x40e8b58: 0x56020: /usr/lib/openoffice.org/program/libemp680li.so + 0xfb58
(ExportPPT + 0x37)
0x36b041: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x1e2041
0x2e55b0: 0x4fbeb4: /usr/lib/openoffice.org/program/libsd680li.so + 0x15c5b0
(sd::DrawDocShell::ConvertTo(SfxMedium&) + 0x1fa)
0x3e895d7: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11f5d7
0x3e89827: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11f827
0x3e89eb1: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x11feb1
0x3e8f975: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x125975
0x3ebd015: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x153015
0x3ec32c9: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1592c9
(SfxBaseModel::storeAsURL(rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xbf)
0x3ecc9b4: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1629b4
0x3e90d90: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x126d90
0x3f0b53e: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1a153e
0x3f03f5e: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x199f5e
0x3f21a5c: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b7a5c
0x3f21f16: 0x3677e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b7f16
0x812b811: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0xab811
0x812b8b5: 0x24a2bc: /usr/lib/openoffice.org/program/libfwk680li.so + 0xab8b5
0x1bc4b1f: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0xdfb1f
0x1c989c0: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1b39c0
(Menu::Select() + 0x46)
0x1c9157c: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1ac57c
0x1ce5c04: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x200c04
0x2a3e3b6: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x453b6 (SalDisplay::DispatchInternalEvent() + 0x96)
0x28baa52: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11a52
0x2ec8171: 0xde108: /lib/libglib-2.0.so.0 + 0x35171
0x2eca068: 0xde108: /lib/libglib-2.0.so.0 + 0x37068 (g_main_context_dispatch +
0x1e8)
0x2ecd713: 0xde108: /lib/libglib-2.0.so.0 + 0x3a713
0x2ecd8d1: 0xde108: /lib/libglib-2.0.so.0 + 0x3a8d1 (g_main_context_iteration +
0x71)
0x28ba827: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11827
0x2a448e5: 0x785e4: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4b8e5 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x1b732b9: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e2b9
(Application::Yield(bool) + 0x57)
0x1b73307: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8e307
(Application::Execute() + 0x2b)
0x13e914: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x2d914
(desktop::Desktop::Main() + 0x1a02)
0x1b768c2: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x918c2
0x1b76a5e: 0x374724: /usr/lib/openoffice.org/program/libvcl680li.so + 0x91a5e
(SVMain() + 0x2c)
0x1330a1: 0x75208: /usr/lib/openoffice.org/program/libsoffice.so + 0x220a1 (main
+ 0xe5)
0x7ec606: 0x16bd7c: /lib/libc.so.6 + 0x16606 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/simpress.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00162000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00562000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005f8000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00615000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00632000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0063c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0067e000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x006e9000)
	libdl.so.2 => /lib/libdl.so.2 (0x006ed000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x006f2000)
	librt.so.1 => /lib/librt.so.1 (0x006f7000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00701000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0071f000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00760000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x007a0000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x0087f000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x0096b000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0xb7ecd000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0xb7e71000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0xb7dee000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0xb7d4c000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0xb7c54000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0xb7beb000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0xb7b58000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x008fe000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x00ce6000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0xb7991000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb7890000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x0092c000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb7876000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0xb77ad000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb76ba000)
	libm.so.6 => /lib/libm.so.6 (0xb7690000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0093c000)
	libc.so.6 => /lib/libc.so.6 (0xb7520000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00d0a000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00d0d000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb74f9000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb74c9000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00d12000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00d1b000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0xb74c0000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb74b9000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb74ae000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb7484000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb73f5000)
	libz.so.1 => /lib/libz.so.1 (0xb73e1000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb73ac000)
	libselinux.so.1 => /lib/libselinux.so.1 (0xb738f000)
	/lib/ld-linux.so.2 (0x0094a000)
	libnsl.so.1 => /lib/libnsl.so.1 (0xb7375000)
	libcap.so.2 => /lib/libcap.so.2 (0xb7371000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0xb7368000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0xb734e000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0xb7347000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0xb72f1000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0xb71bd000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0xb7186000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0xb717f000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0xb7163000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0xb715f000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb712c000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb712a000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb710d000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0xb710a000)
	libexpat.so.1 => /lib/libexpat.so.1 (0xb70e3000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb660c000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb64bd000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb64b7000)
...end sample ldd details ...


Comment 11 Caolan McNamara 2008-03-11 18:37:18 UTC
Hmm, better have another look then.

Comment 12 Caolan McNamara 2008-03-12 15:17:26 UTC
Weird, I thought it worked because I just built it here locally, but I now see
that it breaks when compiled with -fasynchronous-unwind-tables as in the opt
flags, but not without.

Comment 13 Caolan McNamara 2008-03-12 16:27:54 UTC
There's something screwy going on here. Perhaps the asynchronous-unwind-tables
is just a red herring. 

Comment 14 Tom London 2008-04-01 14:37:34 UTC
Still fails with openoffice.org-impress-2.4.0-12.3.fc9.i386

Anything else I can do to help?

Comment 15 Caolan McNamara 2008-04-01 14:45:36 UTC
Probably not, I blame the compiler or some other part of the toolchain. Proving
that though is painful.

Comment 16 Tom London 2008-04-03 20:15:44 UTC
openoffice.org-impress-2.4.0-12.5.fc9.i386 fixes 'bizarro bug'!!!

Thanks!

[Was this a toolchain issue?]

Comment 17 Caolan McNamara 2008-04-03 21:57:23 UTC
I decided to quick-and-dirty-fix filter out the asynchronous-unwind-tables for
now so I can track the problem down at my leisure.

Comment 18 Caolan McNamara 2008-05-21 18:02:35 UTC

*** This bug has been marked as a duplicate of 446005 ***

Comment 19 Yolkfull Chow 2008-06-26 02:26:41 UTC
Just verified this bug on openoffice.org-impress-2.4.1-17.4.fc9.i386, problem
has been fixed.


Note You need to log in before you can comment on or make changes to this bug.